@import play.api.mvc.Request
@import models._
@(implicit request: play.api.mvc.RequestHeader, userList: List[User])
@main("Welcome to Play") {


@if(request.session.get("logged_user_session").getOrElse("") != "") {
<a href="@routes.HomeController.logout()">Logout</a>
<h1 style="text-align: center ;
            color: red;">
  Welcome @request.session.get("logged_user_session")
</h1>
} else {
<a href="@routes.HomeController.login()">Login</a>
<a href="@routes.HomeController.register()">Register</a>
<h1 style="text-align: center">
  Welcome Guest
</h1>
}

<div class="container">

  <ul class = "list-group" style="text-align: center;
            padding-top: 50px">
    <h2>List of Users </h2>
    @for(index <- userList) {
    <li class="list-group-item"><a href="@routes.HomeController.details(index.name)">@index.name</a></li>
    }
  </ul>
</div>


}
